Recent

Author Topic: Lazarus Release 3.0  (Read 104431 times)

dbannon

  • Hero Member
  • *****
  • Posts: 2787
    • tomboy-ng, a rewrite of the classic Tomboy
Re: [solved] Cannot install, missing fpc-laz
« Reply #150 on: February 20, 2024, 12:53:25 pm »


.....I am trying to follow the instructions at the wiki: https://wiki.freepascal.org/Installing_Lazarus_on_Linux

...... I think I need to install some gtk libraries for it to work correctly in my debian 12 / regolith3 desktop, but which ones?

The required libraries are listed on that page were on earlier, https://wiki.freepascal.org/Installing_Lazarus_on_Linux. All the libraries themselves will probably be present but you need the -dev libraries at link time. (Hmm, wild idea, when you say "gtk libraries, you mean gtk2 don't you ?  gtk3 is not ready for prime time yet. Qt5 is good ...)

Or, a variation of Juha's suggestion, add Debian Backports to your Bullseye repo and you will get the current release.

Davo
Lazarus 3, Linux (and reluctantly Win10/11, OSX Monterey)
My Project - https://github.com/tomboy-notes/tomboy-ng and my github - https://github.com/davidbannon

99Percent

  • Full Member
  • ***
  • Posts: 160
Re: Lazarus Release 3.0
« Reply #151 on: February 20, 2024, 08:27:44 pm »
I think my debian 12/Regolith3 is not playing nice. I am going instead to try install a QEMU VM with plain Ubuntu 22.04 and just use that for lazarus development. I did that once and it worked ok.

dbannon

  • Hero Member
  • *****
  • Posts: 2787
    • tomboy-ng, a rewrite of the classic Tomboy
Re: Lazarus Release 3.0
« Reply #152 on: February 21, 2024, 12:28:42 am »
Can I suggest you use U20.04, it has almost no SNAPs (smaller and faster) and binaries you make there will run on (almost) all OS. If you use U22.04, you get the new glibc and binaries it makes will not run on (eg) U20.04, Buster etc.

I am still running U20.04 on my day to day machine, have to update sooner or later but I keep a Virtual Box VM with an untouched U20.04 as my release build machine anyway.

Davo

Lazarus 3, Linux (and reluctantly Win10/11, OSX Monterey)
My Project - https://github.com/tomboy-notes/tomboy-ng and my github - https://github.com/davidbannon

matthius

  • Full Member
  • ***
  • Posts: 155
  • Creating VRAD...
    • LIBERLOG - Développement rapide
Re: Lazarus Release 3.0 - virtualtrees
« Reply #153 on: February 23, 2024, 11:45:27 am »
Lazarus recompile virtualtrees package on linux.

So i cannot build lazarus with last deb installer.
M. GIROUX
13 rue Tanguy PRIGENT
35000 RENNES - France
(33)(0)2 23 46 06 54
http://liberlog.fr

Thaddy

  • Hero Member
  • *****
  • Posts: 14352
  • Sensorship about opinions does not belong here.
Re: Lazarus Release 3.0
« Reply #154 on: February 23, 2024, 01:04:59 pm »
Davo gave you already the answer, to which I might add: also on bookworm Debians like Ubuntu you should add Backports.
That will give you FPC 3.2.2 + Lazarus 3.0. And those are current releases.
« Last Edit: February 23, 2024, 01:06:48 pm by Thaddy »
Object Pascal programmers should get rid of their "component fetish" especially with the non-visuals.

cdbc

  • Hero Member
  • *****
  • Posts: 1069
    • http://www.cdbc.dk
Re: Lazarus Release 3.0
« Reply #155 on: February 23, 2024, 09:49:29 pm »
Hi
Upon compiling an old project in laz 3.0 - fpc 3.3.1, I get these errors:
Quote
maskedit.pp(563,0) Error: linker: undefined reference to `LAZUTF8_$$_UTF8CODEPOINTSIZEFULL$PCHAR$$LONGINT'
and
laz2_xmlutils.pas(616,0) Error: linker: undefined reference to `LAZUTF8_$$_UTF8CODEPOINTSIZEFULL$PCHAR$$LONGINT'
Funny thing is, I don't use either 'MaskEdit' or any kind of xml...
Has anybody seen this before ...and (fingers crossed) have a solution?!?
It compiles without errors in laz 2.2.6 - fpc 3.2.2
I have required 'LazUtils' package in project inspector.
Regards Benny
If it ain't broke, don't fix it ;)
PCLinuxOS(rolling release) 64bit -> KDE5 -> FPC 3.2.2 -> Lazarus 2.2.6 up until Jan 2024 from then on it's: KDE5/QT5 -> FPC 3.3.1 -> Lazarus 3.0

JuhaManninen

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 4466
  • I like bugs.
Re: Lazarus Release 3.0
« Reply #156 on: February 24, 2024, 08:55:10 am »
Upon compiling an old project in laz 3.0 - fpc 3.3.1, I get these errors:  ...
You have old versions of LazUtils .ppus somewhere in your system.
« Last Edit: February 24, 2024, 08:58:37 am by JuhaManninen »
Mostly Lazarus trunk and FPC 3.2 on Manjaro Linux 64-bit.

cdbc

  • Hero Member
  • *****
  • Posts: 1069
    • http://www.cdbc.dk
Re: Lazarus Release 3.0
« Reply #157 on: February 24, 2024, 12:09:45 pm »
Hi
@JuhaManninen: Thanks mate, That hit the 'Head on the Nail'  :D
I looked, before I deleted all the files in "project-dir/lib/x86_64-linux/*"
and the only files not updated were lazutf8* etc...
Regards Benny
If it ain't broke, don't fix it ;)
PCLinuxOS(rolling release) 64bit -> KDE5 -> FPC 3.2.2 -> Lazarus 2.2.6 up until Jan 2024 from then on it's: KDE5/QT5 -> FPC 3.3.1 -> Lazarus 3.0

czaerlag

  • Newbie
  • Posts: 2
Re: Lazarus Release 3.0
« Reply #158 on: February 27, 2024, 10:26:07 pm »
A few hours ago I tried to download Lazarus 3.0 using the "Download Now" button in the upper right corner at lazarus-ide.org
I got the old RC1 .deb package.
Next, I went to the https://sourceforge.net/projects/lazarus/files/Lazarus%20Linux%20amd64%20DEB/Lazarus%203.0/ page and clicked the link https://sourceforge.net/projects/lazarus/files/Lazarus%20Linux%20amd64%20DEB/Lazarus%203.0/lazarus-project_3.0.0-0_amd64.deb/download
In that case it was OK -- now I've got the correct version.

P.S. Thank you, boys and girls! You're doing a great job!

theo

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1927
Re: Lazarus Release 3.0
« Reply #159 on: February 28, 2024, 12:54:16 pm »

 

TinyPortal © 2005-2018